>> MIB - Management Information Base
>> Table: voipSipExtensionTable - (.1.3.6.1.4.1.272.4.33.6.12.1)
Description: Contains an internal SIP account assigned to a voipExtensionTable entry.
voipSipExtensionTable
OID | Name | Type | Access
.1 | Index | INTEGER | RW
.2 | Ident | DisplayString | RW
.3 | Pwd | DisplayString | RW
.4 | Options | BitValue | RW
.5 | Expire | INTEGER | RW
.6 | Codecs | BitValue | RW
.7 | Order | ENUM | RW
.8 | DSPLength | INTEGER | RW
.9 | DSPOptions | ENUM | RW
.10 | Transport | ENUM | RW
.11 | Port | INTEGER | RW
.12 | StaticIp | IpAddress | RW
.13 | Timeout | INTEGER | RW
Index
This is the reference to the main 'Index' of the parent entry configured in voipExtensionTable. This value cannot be modified and is only set in the trap handler of the Mediagateway. Range: 1 to 65535
Ident
SIP identifier (auth-ID) for REGISTER (normally the same as 'Number' in voipExtensionTable). This value must be set if a different URL for account and authentication is used. Length: 0 to 32
Pwd
SIP account password for registration. Length: 0 to 32
Options
Field used for extension specific features: BIT0: HAS_MCID Malicious Call Identification BIT1: HAS_CLID always display number (if available), ignore presentation BIT2: HAS_FAXREDIR Redirect an incoming Fax to a specific Number BIT3: HAS_SRTP Use Secure RTP BIT4: HAS_SRTP_HALFCALL Half call based SRTP termination BIT5: HAS_SRTP_SAVP Use SAVP in SDP negotiation BIT6: HAS_PUBLIC_REGISTER Allow client registrations from public networks Range: 0 to -1
Expire
Expire time of a connected SIP terminal. In registration mode terminal has to reregister before this timer expires. Without reregistration within this timeframe terminal will be disconected after this period. Range: 0 to 3600
Codecs
Supported codecs of extension. Set one or more of following bit values: ulaw (1), alaw (2), g729 (4), g726 (8), g726_16 (16), g726_32 (32), g726_40 (64), g728 (128), g723_63 (256), g723_53 (512), g729_e (1024), gsm (2048), dtmf (4096), dtmf_cc (8192), t38_udp (16384), t38_tcp (32768). Default: 'ulaw', 'alaw' and 'g.729' (7). 'g729' is g729 with 8 kBit/s, 'g729_e' is g729 with 12.4 kBit/s. 'dtmf' enables/disables (out of band) DTMF relay via RTP and SIP INFO events; depending from capabilities of a dialed endpoint it automatically chooses either RTP or SIP INFO event method. 'dtmf_cc' is obsolete. As well 't38_tcp' is unused. Range: 0 to -1
Order
Codec signalling order: 'default' -> system default order, 'quality' -> highest quality first, 'lowest' -> lowest bandwith first, 'highest' -> highest bandwith first. Enumerations: default (1) quality (2) lowest (3) highest (4)
DSPLength
Audio data (payload) duration per packet in milliseconds (for all codecs). Default value is 20. Range: 5 to 500
DSPOptions
DSP options: 'none' -> neither echo cancellation nor comfort noise, 'echo' -> echo cancellation, 'cng' -> comfort noise generation, 'both' -> echo and comfort noise. Default value is both. Enumerations: none (1) echo (2) cng (3) both (4)
Transport
Transport protocol used by connected terminal. Default value is udp. Enumerations: udp (1) tcp (2) sips (3)
Port
IP Port used by connected terminal. Normally 5060, but in most terminals this port can be configured. Range: 1 to 65535
StaticIp
This options is only used for special cases. Normally this has to be empty. However if no client registration is done by the connected terminal this parameter has to be set to the IP address of the connected terminal. With this parameter such a terminal is permanently known to the Mediagateway which therefore is able to send or receive data to/from the terminal. Microsoft Exchange communication server is using this kind of communication. In this case the port 5065 is used and the transport protocol is TCP.
Timeout
Here a specific RTP session timeout in seconds can be set. It is similar to a keep alive polling between the Mediagateway and a SIP client in order to detect a dead RTP session. A value of 0 disables the timeout. In RFC the minimum time is 90sec. The default is 1800sec.

MIB Reference to Software Version 10.2.12 generated on 2023/08/29. Provided by webmaster@bintec-elmeg.com Copyright ©2023 by bintec elmeg GmbH